Skip to main content

List Deliveries

GET /v1/webhooks/deliveries

List your webhook deliveries, newest first, optionally filtered by endpoint, status or event type. Each item is one event sent (or being retried) to one endpoint. Failed deliveries are retried with growing delays (from 1 minute up to 12 hours) until the endpoint's max_retries is reached. Pass next_cursor back as cursor for the next page.

Authentication​

Requires authentication via: OAuth2PasswordBearer.

Parameters​

NameInTypeRequiredDescriptionConstraints
endpoint_idquerystring | nullNonullable
statusquerystring | nullNonullable
event_typequerystring | nullNonullable
cursorquerystring | nullNonullable
limitqueryintegerNodefault=50, min=1, max=200
X-API-Keyheaderstring | nullNonullable

Responses​

200​

Successful Response

application/json​

Resolved schema:

{
"properties": {
"items": {
"items": {
"properties": {
"id": {
"type": "string",
"title": "Id"
},
"endpoint_id": {
"type": "string",
"title": "Endpoint Id"
},
"user_id": {
"type": "integer",
"title": "User Id"
},
"event_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Event Id"
},
"event_type": {
"type": "string",
"title": "Event Type"
},
"event_group": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Event Group"
},
"status": {
"type": "string",
"title": "Status"
},
"scheduled_attempt": {
"type": "integer",
"title": "Scheduled Attempt"
},
"next_retry_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Next Retry At"
},
"last_attempt_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Last Attempt At"
},
"delivered_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Delivered At"
},
"final_http_status": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Final Http Status"
},
"error_message": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Error Message"
},
"replay_of_delivery_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Replay Of Delivery Id"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"updated_at": {
"type": "string",
"format": "date-time",
"title": "Updated At"
}
},
"type": "object",
"required": [
"id",
"endpoint_id",
"user_id",
"event_type",
"status",
"scheduled_attempt",
"created_at",
"updated_at"
],
"title": "WebhookDeliveryResponse"
},
"type": "array",
"title": "Items"
},
"next_cursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Next Cursor"
}
},
"type": "object",
"required": [
"items"
],
"title": "WebhookDeliveryListResponse"
}

Field details:

FieldTypeRequiredDescriptionConstraints
itemsarray<object>Yes
items[]objectYes
items[].idstringYes
items[].endpoint_idstringYes
items[].user_idintegerYes
items[].event_idstring | nullNonullable
items[].event_typestringYes
items[].event_groupstring | nullNonullable
items[].statusstringYes
items[].scheduled_attemptintegerYes
items[].next_retry_atstring | nullNoformat=date-time, nullable
items[].last_attempt_atstring | nullNoformat=date-time, nullable
items[].delivered_atstring | nullNoformat=date-time, nullable
items[].final_http_statusinteger | nullNonullable
items[].error_messagestring | nullNonullable
items[].replay_of_delivery_idstring | nullNonullable
items[].created_atstringYesformat=date-time
items[].updated_atstringYesformat=date-time
next_cursorstring | nullNonullable

401​

No credentials, or the Bearer token / X-API-Key is invalid.

No response body.

403​

The account is disabled, or a guest token was used.

No response body.

422​

Validation Error

application/json​

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo